{ pkgs, host, ... }:
let
  inherit (import ../../hosts/${host}/variables.nix) libvirtdEnable dockerEnable podmanEnable;
in
{
  # Only enable either docker or podman, never both
  virtualisation = {
    libvirtd.enable = libvirtdEnable;
    docker.enable = dockerEnable;
    podman.enable = podmanEnable;
  };
  programs = {
    virt-manager.enable = libvirtdEnable;
  };
  environment.systemPackages = if libvirtdEnable then [ pkgs.virt-viewer ] else [];
}
