{ lib, pkgs, config, ... }:
with lib;
let
  cfg = config.drivers.nvidia-prime;
in
{
  options.drivers.nvidia-prime = {
    enable = mkEnableOption "Enable Nvidia Prime Sync";
    intelBusId = mkOption {
      type = types.str;
      default = "PCI:1:0:0";
    };
    nvidiaBusId = mkOption {
      type = types.str;
      default = "PCI:0:2:0";
    };
  };

  config = mkIf cfg.enable {
    hardware.nvidia.prime = {
      sync.enable = true;
      #offload = {
      #  enable = true;
      #  enableOffloadCmd = true;
      #};
      intelBusId = "${cfg.intelBusId}";
      nvidiaBusId = "${cfg.nvidiaBusId}";
    };
    #hardware.graphics.extraPackages = with pkgs; [
    #  vaapiVdpau
    #  libvdpau-va-gl
    #  intel-media-driver
    #  nvidia-vaapi-driver
    #];
  };
}
