{ host, ... }:
let
  inherit (import ../../../hosts/${host}/variables.nix) extraMonitorSettings;
in
{
  wayland.windowManager.hyprland = {
    settings = {
      windowrulev2 = [
        "tag +file-manager, class:^([Tt]hunar|org.gnome.Nautilus|[Pp]cmanfm-qt)$"
        "tag +terminal, class:^(Alacritty|kitty|kitty-dropterm)$"
        "tag +browser, class:^(Brave-browser(-beta|-dev|-unstable)?)$"
        "tag +browser, class:^([Ff]irefox|org.mozilla.firefox|[Ff]irefox-esr)$"
        "tag +browser, class:^([Gg]oogle-chrome(-beta|-dev|-unstable)?)$"
        "tag +browser, class:^([Tt]horium-browser|[Cc]achy-browser)$"
        "tag +projects, class:^(codium|codium-url-handler|VSCodium)$"
        "tag +projects, class:^(VSCode|code-url-handler)$"
        "tag +projects, class:^(zed)$"
        "tag +im, class:^([Dd]iscord|[Ww]ebCord|[Vv]esktop)$"
        "tag +games, class:^(gamescope)$"
        "tag +games, class:^(steam_app_\d+)$"
        "tag +gamestore, class:^([Ss]team)$"
        "tag +gamestore, title:^([Ll]utris)$"
        "tag +settings, class:^([Rr]ofi)$"
        "tag +settings, class:^(file-roller|org.gnome.FileRoller)$"
        "tag +settings, class:^(nm-applet|nm-connection-editor|blueman-manager)$"
        "tag +settings, class:(xdg-desktop-portal-gtk)"
        "move 72% 7%,title:^(Picture-in-Picture)$"
        "center, title:^(Authentication Required)$"
        "center, class:([Tt]hunar), title:negative:(.*[Tt]hunar.*)"
        "idleinhibit fullscreen, class:^(*)$"
        "idleinhibit fullscreen, title:^(*)$"
        "idleinhibit fullscreen, fullscreen:1"
        "float, tag:settings*"
        "float, title:^(Picture-in-Picture)$"
        "float, title:^(Authentication Required)$"
        "float, class:(codium|codium-url-handler|VSCodium), title:negative:(.*codium.*|.*VSCodium.*)"
        "float, class:^([Ss]team)$, title:negative:^([Ss]team)$"
        "float, initialTitle:(Add Folder to Workspace)"
        "float, initialTitle:(Open Files)"
        "float, initialTitle:(wants to save)"
        "size 70% 60%, initialTitle:(Open Files)"
        "size 70% 60%, initialTitle:(Add Folder to Workspace)"
        "size 70% 70%, tag:settings*"
        "pin, title:^(Picture-in-Picture)$"
        "keepaspectratio, title:^(Picture-in-Picture)$"
        "noblur, tag:games*"
        "fullscreen, tag:games*"
      ];

      #env = [
      #  "NIXOS_OZONE_WL, 1"
      #  "NIXPKGS_ALLOW_UNFREE, 1"
      #  "XDG_CURRENT_DESKTOP, Hyprland"
      #  "XDG_SESSION_TYPE, wayland"
      #  "XDG_SESSION_DESKTOP, Hyprland"
      #  "GDK_BACKEND, wayland, x11"
      #  "CLUTTER_BACKEND, wayland"
      #  "QT_QPA_PLATFORM=wayland;xcb"
      #  "QT_WAYLAND_DISABLE_WINDOWDECORATION, 1"
      #  "QT_AUTO_SCREEN_SCALE_FACTOR, 1"
      #  "SDL_VIDEODRIVER, x11"
      #  "MOZ_ENABLE_WAYLAND, 1"
      #  "AQ_DRM_DEVICES,/dev/dri/card1:/dev/dri/card0"
      #  "GDK_SCALE,1"
      #  "QT_SCALE_FACTOR,1"
      #  "EDITOR,vim"
      #];
    };

    #extraConfig = "
    #  monitor=,preferred,auto,auto
    #  ${extraMonitorSettings}
    #";
  };
}
